let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/dmwi018jxk35vqp9xixyfjxxrspz8jwf-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/26r3lc4lk446586z07c75532siczscas-coreutils-8.32/bin";
  bzip2 = "/nix/store/3i80dfmjqaxqyk0kvjxpm1isc2afw32g-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/km2fz4byb7lrqn3wlqqb8njaaxqmz8yx-gzip-1.10/bin/gzip";
  xz = "/nix/store/l0qacyqih21yai2sk5gs53ym9gw175n7-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/a2ya6g2b74mki37kbc7j7r274hd64sb3-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/26r3lc4lk446586z07c75532siczscas-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/dmq2vksdhssgfl822shd0ky3x5x0klh4-nix-2.3.15/bin";
  nixPrefix = "/nix/store/dmq2vksdhssgfl822shd0ky3x5x0klh4-nix-2.3.15";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/dmq2vksdhssgfl822shd0ky3x5x0klh4-nix-2.3.15/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
